
package io.fabric8.swagger.model;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.validation.Valid;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({

})
@ToString
@EqualsAndHashCode
public class Authorizations {

    @JsonIgnore
    @Valid
    private Map<String, List<Oauth2Scope>> additionalProperties = new HashMap<String, List<Oauth2Scope>>();

    @JsonAnyGetter
    public Map<String, List<Oauth2Scope>> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, List<Oauth2Scope> value) {
        this.additionalProperties.put(name, value);
    }

}
