
package io.fabric8.swagger.model;

import java.util.HashMap;
import java.util.Map;
import javax.validation.Valid;
import com.fasterxml.jackson.annotation.JsonAnyGetter;
import com.fasterxml.jackson.annotation.JsonAnySetter;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonPropertyOrder;
import lombok.EqualsAndHashCode;
import lombok.ToString;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({

})
@ToString
@EqualsAndHashCode
public class Models {

    @JsonIgnore
    @Valid
    private Map<String, ModelsObjectJson> additionalProperties = new HashMap<String, ModelsObjectJson>();

    @JsonAnyGetter
    public Map<String, ModelsObjectJson> getAdditionalProperties() {
        return this.additionalProperties;
    }

    @JsonAnySetter
    public void setAdditionalProperty(String name, ModelsObjectJson value) {
        this.additionalProperties.put(name, value);
    }

}
